org.apache.http.client.config

## Class RequestConfig

- java.lang.Object
- - org.apache.http.client.config.RequestConfig

- All Implemented Interfaces:
    Cloneable

      @Contract(threading=IMMUTABLE)
      public class RequestConfig
      extends Object
      implements Cloneable

  不可变类封装请求配置项。 过期连接检查的默认设置更改为false，并且该版本已从4.4版开始废弃。

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RequestConfig.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RequestConfig` | `DEFAULT`

  - ### 构造方法摘要

    构造方法
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequestConfig()` 适用于CDI兼容性

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RequestConfig` | `clone()`
    `static RequestConfig.Builder` | `copy(RequestConfig config)`
    `static RequestConfig.Builder` | `custom()`
    `int` | `getConnectionRequestTimeout()` 返回从连接管理器请求连接时使用的超时（以毫秒为单位）。
    `int` | `getConnectTimeout()` 确定连接建立之前的以毫秒为单位的超时时间。
    `String` | `getCookieSpec()` 确定要用于HTTP状态管理的cookie规范的名称。
    `InetAddress` | `getLocalAddress()` 返回要用于请求执行的本地地址。
    `int` | `getMaxRedirects()` 返回要遵循的最大重定向数。
    `HttpHost` | `getProxy()` 返回用于请求执行的HTTP代理。
    `Collection<String>` | `getProxyPreferredAuthSchemes()` 在与代理主机进行身份验证时，确定支持的身份验证方案的优先顺序。
    `int` | `getSocketTimeout()` 定义套接字超时（ `SO_TIMEOUT` ）（以毫秒为单位），这是等待数据的超时，或 `SO_TIMEOUT` ，两个连续的数据包之间的最大周期不活动）。
    `Collection<String>` | `getTargetPreferredAuthSchemes()` 确定与目标主机进行身份验证时支持的身份验证方案的优先顺序。
    `boolean` | `isAuthenticationEnabled()` 确定是否应自动处理身份验证。
    `boolean` | `isCircularRedirectsAllowed()` 确定是否允许循环重定向（重定向到同一位置）。
    `boolean` | `isContentCompressionEnabled()` 确定是否请求目标服务器压缩内容。
    `boolean` | `isDecompressionEnabled()` 已过时。 （4.5）使用`isContentCompressionEnabled()`
    `boolean` | `isExpectContinueEnabled()` 确定是否为实体封闭方法启用了“Expect：100-Continue”握手。
    `boolean` | `isRedirectsEnabled()` 确定是否应自动处理重定向。
    `boolean` | `isRelativeRedirectsAllowed()` 确定是否应拒绝相对重定向。
    `boolean` | `isStaleConnectionCheckEnabled()` 已过时。 （4.4）使用`PoolingHttpClientConnectionManager.getValidateAfterInactivity()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 字段详细信息

    - #### DEFAULT

          public static final RequestConfig DEFAULT

  - ### 构造方法详细信息

    - #### RequestConfig

          protected RequestConfig()

      适用于CDI兼容性

  - ### 方法详细信息

    - #### isExpectContinueEnabled

          public boolean isExpectContinueEnabled()

      确定是否为实体封闭方法启用了“Expect：100-Continue”握手。 “Expect：100-Continue”握手的目的是允许发送请求消息的客户端与请求主体确定源服务器是否愿意在客户端发送之前接受请求（基于请求头）请求机构。

      使用“Expect：100-continue”握手功能可以显着提高需要目标服务器认证的实体封装请求（如POST和PUT）。

      “Expect：100-continue”握手应谨慎使用，因为它可能会导致不支持HTTP / 1.1协议的HTTP服务器和代理问题。

      默认值： `false`

    - #### getProxy

          public HttpHost getProxy()

      返回用于请求执行的HTTP代理。

      默认值： `null`

    - #### getLocalAddress

          public InetAddress getLocalAddress()

      返回要用于请求执行的本地地址。

      在具有多个网络接口的机器上，该参数可用于选择连接始发的网络接口。

      默认值： `null`

    - #### isStaleConnectionCheckEnabled

          @Deprecated
          public boolean isStaleConnectionCheckEnabled()

      已过时。 （4.4）使用`PoolingHttpClientConnectionManager.getValidateAfterInactivity()`
      确定是否使用陈旧的连接检查。 过期的连接检查可能会导致每个请求高达30毫秒的开销，只能在适当的时候使用。 对于性能关键操作，此检查应禁用。

      默认值： `false`自4.4

    - #### getCookieSpec

          public String getCookieSpec()

      确定要用于HTTP状态管理的cookie规范的名称。

      默认值： `null`

    - #### isRedirectsEnabled

          public boolean isRedirectsEnabled()

      确定是否应自动处理重定向。

      默认值： `true`

    - #### isRelativeRedirectsAllowed

          public boolean isRelativeRedirectsAllowed()

      确定是否应拒绝相对重定向。 HTTP规范要求位置值为绝对URI。

      默认值： `true`

    - #### isCircularRedirectsAllowed

          public boolean isCircularRedirectsAllowed()

      确定是否允许循环重定向（重定向到同一位置）。 HTTP规范是否被允许循环重定向是不够清楚的，因此可以选择启用它们

      默认值： `false`

    - #### getMaxRedirects

          public int getMaxRedirects()

      返回要遵循的最大重定向数。 重定向次数的限制是为了防止无限循环。

      默认值： `50`

    - #### isAuthenticationEnabled

          public boolean isAuthenticationEnabled()

      确定是否应自动处理身份验证。

      默认值： `true`

    - #### getTargetPreferredAuthSchemes

          public Collection<String> getTargetPreferredAuthSchemes()

      确定与目标主机进行身份验证时支持的身份验证方案的优先顺序。

      默认值： `null`

    - #### getProxyPreferredAuthSchemes

          public Collection<String> getProxyPreferredAuthSchemes()

      在与代理主机进行身份验证时，确定支持的身份验证方案的优先顺序。

      默认值： `null`

    - #### getConnectionRequestTimeout

          public int getConnectionRequestTimeout()

      返回从连接管理器请求连接时使用的超时（以毫秒为单位）。 超时值为零被解释为无限超时。

      超时值为零被解释为无限超时。 负值解释为未定义（系统默认值）。

      默认值： `-1`

    - #### getConnectTimeout

          public int getConnectTimeout()

      确定连接建立之前的以毫秒为单位的超时时间。 超时值为零被解释为无限超时。

      超时值为零被解释为无限超时。 负值解释为未定义（系统默认值）。

      默认值： `-1`

    - #### getSocketTimeout

          public int getSocketTimeout()

      定义套接字超时（ `SO_TIMEOUT` ）（以毫秒为单位），这是等待数据的超时时间， `SO_TIMEOUT` ，两个连续数据包之间的最大周期不活动）。

      超时值为零被解释为无限超时。 负值解释为未定义（系统默认值）。

      默认值： `-1`

    - #### isDecompressionEnabled

          @Deprecated
          public boolean isDecompressionEnabled()

      已过时。 （4.5）使用`isContentCompressionEnabled()`
      确定压缩实体是否应自动解压缩。

      默认值： `true`

      从以下版本开始：
        4.4

    - #### isContentCompressionEnabled

          public boolean isContentCompressionEnabled()

      确定是否请求目标服务器压缩内容。

      默认值： `true`

      从以下版本开始：
        4.5

    - #### clone

          protected RequestConfig clone()
                                 throws CloneNotSupportedException

      重写：
        `clone`在类 `Object`
      异常
        `CloneNotSupportedException`

    - #### toString

          public String toString()

      重写：
        `toString`在 `Object`

    - #### custom

          public static RequestConfig.Builder custom()

    - #### copy

          public static RequestConfig.Builder copy(RequestConfig config)

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585